import Bladex
import Enm_Gen
import B3DLib
import Traps_C
import GameText
import AuxFuncs
import Scorer
import Sounds
import EnmGenRnd
import ReadGSFile
import Actions
import Reference
import AbreCam
import ItemTypes


GameText.MapList ['WYVERNMAP'] = 'WyvernMap'






def ScreamWyv2(camera,frame):
	wyv2 = Bladex.GetEntity("Wyv2")
	if wyv2:
		soundwyvscream2.Position = wyv2.Position[0],wyv2.Position[1],wyv2.Position[2]
		soundwyvscream2.PlaySound(0)	

def SetUpScreamEvents():
	time = Bladex.GetTime()
	if(Bladex.GetEntity("Wyv2")):
		Bladex.AddScheduledFunc(time +   20.0/20.0,ScreamWyv2,(0,0))
		Bladex.AddScheduledFunc(time +  221.0/20.0,ScreamWyv2,(0,0))
		Bladex.AddScheduledFunc(time +  364.0/20.0,ScreamWyv2,(0,0))
		Bladex.AddScheduledFunc(time +  506.0/20.0,ScreamWyv2,(0,0))
		Bladex.AddScheduledFunc(time +  621.0/20.0,ScreamWyv2,(0,0))
		Bladex.AddScheduledFunc(time +  750.0/20.0,ScreamWyv2,(0,0))
		Bladex.AddScheduledFunc(time + 1148.0/20.0,ScreamWyv2,(0,0))
	
		Bladex.AddScheduledFunc(time + 1200.0/20.0,SetUpScreamEvents,())


def WyvScene3b():
	wyv2.Actor = 0
	wyv2.Orientation = 0.7,0.7,0,0
	wyv2.Position = -42454,-30143,95026
	wyv2.Actor = 1
	wyv2.Animation="Wyv_escena03b_island"	
	wyv2.SendSectorMsgs=0
	wyv2.TurnOn()
	wyv2.RemoveFromList("Timer60")
	wyv2.TimerFunc=""
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.0, Follow,())
	SetUpScreamEvents()

def WyvScene3a():	
	wyv2.Actor = 0
	wyv2.Orientation = 0.7,0.7,0,0
	wyv2.Position = -81509.660207, -20665.0977195, 17168.56574	
	wyv2.Actor = 1
	wyv2.Animation="Wyv_escena03a_island"
	wyv2.SendSectorMsgs=0	
	wyv2.TurnOn()
	wyv2.RemoveFromList("Timer60")
	wyv2.TimerFunc=""
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.0, Follow,())
	Bladex.AddScheduledFunc(Bladex.GetTime() + 304.0/20.0,WyvScene3b,())
	
	
def WyvScene2():		
	wyv2.Position = -6012.023,-14213.682,-69911.445
	wyv2.Actor = 1
	wyv2.Animation="Wyv_escena02a"
	wyv2.SendSectorMsgs=0
	wyv2.TurnOn()
	time = Bladex.GetTime()		
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, Follow,())
	Bladex.AddScheduledFunc(time +27.0,WyvScene2_2,())
	Bladex.AddScheduledFunc(time + 101.0/30.0,ScreamWyv2,(0,0))
	Bladex.AddScheduledFunc(time + 397.0/30.0,ScreamWyv2,(0,0))
	Bladex.AddScheduledFunc(time + 676.0/30.0,ScreamWyv2,(0,0))
	Bladex.AddScheduledFunc(time + 1075.0/30.0,WyvScene3a,())


def WyvScene3b_2():
	wyv3.Actor = 0
	wyv3.Orientation = 0.7,0.7,0,0
	wyv3.Position = -42454,-30143,95026
	wyv3.Actor = 1
	wyv3.Animation="Wyv_escena03b_island"	
	wyv3.SendSectorMsgs=0
	wyv3.TurnOn()
	
	

def WyvScene3a_2():	
	wyv3.Actor = 0
	wyv3.Orientation = 0.7,0.7,0,0
	wyv3.Position = -81509.660207, -20665.0977195, 17168.56574	
	wyv3.Actor = 1
	wyv3.Animation="Wyv_escena03a_island"
	wyv3.SendSectorMsgs=0	
	wyv3.TurnOn()
	Bladex.AddScheduledFunc(Bladex.GetTime() + 304.0/20.0,WyvScene3b_2,())
	
	
def WyvScene2_2():		
	wyv3.Position = -6012.023,-14213.682,-69911.445
	wyv3.Actor = 1
	wyv3.Animation="Wyv_escena02a"
	wyv3.SendSectorMsgs=0
	wyv3.TurnOn()
	time = Bladex.GetTime()		
	Bladex.AddScheduledFunc(time + 1075.0/30.0,WyvScene3a_2,())





def WyvCiclica(sector,entity):
	if entity == "Player1":
		SecWyvCiclica.OnEnter = ""
		WyvScene2()
		

def FollowTimer(ent_name, time):
	cam=Bladex.GetEntity("Camera")
	pos=wyv2.Rel2AbsPoint(0,11000,6000)
	tpos=wyv2.Position
	cam.Position=pos[0],pos[1],pos[2]
	cam.TPos=tpos[0],tpos[1],tpos[2]
	
	
def Follow():
	Bladex.SetTimeSpeed(0.7)
	Scorer.SetVisible(0)
	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, Bladex.ExeMusicEvent, (Bladex.GetMusicEvent("Music1"),))	
	cam=Bladex.GetEntity("Camera")
	wyv2=Bladex.GetEntity("Wyv2")
	pos=wyv2.Rel2AbsPoint(0,11000,6000)
	tpos=wyv2.Position
	cam.SType = 0
	cam.TType = 0
	wyv2.SubscribeToList("Timer60")	
	wyv2.TimerFunc=FollowTimer
	
	
